! Replaces gradsdef.h

MODULE gradsdef_mod_h
  IMPLICIT NONE; PRIVATE
  PUBLIC xd, yd, zd, dtime, &
          imd, jmd, lmd, iid, jid, ifd, jfd, &
          unit, irec, nvar, ivar, itime, nld, firsttime, &
          var, fichier, title, tvar, nfmx, imx, jmx, lmx, nvarmx

  INTEGER nfmx, imx, jmx, lmx, nvarmx
  parameter(nfmx = 10, imx = 200, jmx = 150, lmx = 200, nvarmx = 1000)

  REAL xd(imx, nfmx), yd(jmx, nfmx), zd(lmx, nfmx), dtime(nfmx)

  INTEGER imd(imx), jmd(jmx), lmd(lmx)
  INTEGER iid(imx), jid(jmx)
  INTEGER ifd(imx), jfd(jmx)
  INTEGER unit(nfmx), irec(nfmx), itime(nfmx), nld(nvarmx, nfmx)

  INTEGER nvar(nfmx), ivar(nfmx)
  LOGICAL firsttime(nfmx)

  CHARACTER*10 var(nvarmx, nfmx), fichier(nfmx)
  CHARACTER*40 title(nfmx), tvar(nvarmx, nfmx)

END MODULE gradsdef_mod_h
